texlive-base -- security update

2017-03-08T00:00:00
ID DSA-3803
Type debian
Reporter Debian
Modified 2017-03-08T00:00:00

Description

It was discovered that texlive-base, the TeX Live package which provides the essential TeX programs and files, whitelists mpost as an external program to be run from within the TeX source code (called \write18). Since mpost allows to specify other programs to be run, an attacker can take advantage of this flaw for arbitrary code execution when compiling a TeX document.

For the stable distribution (jessie), this problem has been fixed in version 2014.20141024-2+deb8u1.

For the upcoming stable distribution (stretch), this problem has been fixed in version 2016.20161130-1.

For the unstable distribution (sid), this problem has been fixed in version 2016.20161130-1.

We recommend that you upgrade your texlive-base packages.